# 13.2 Configure your Azure Event Hub Destination in Adobe Experience Platform

## 13.2.1 Identify Required Azure Connection parameters

To define an Event Hub destination in Adobe Experience Platform you need your:

* Event Hubs namespace
* Event Hub
* Azure SAS Key name
* Azure SAS Key

Event Hub and EventHub namespace have been defined in the previous exercise: [Exercise 1 - Setup Event Hub in Azure](/comprehensive-technical-tutorial-archive/module13/ex1.md)

### Event Hubs Namespace

To lookup the above information in Azure Portal, navigate to <https://portal.azure.com/#home>. Make sure that you are using the correct Azure account.

Select **All Resources** in Azure Portal:

![2-01-azure-all-resources.png](/files/n2Molxi4RLVymzQY6lNT)

### Event Hub

Look for a resource with resource type **Event Hubs Namespace**, if you followed the naming conventions used in the previous exercise you Event Hubs Namespace will be `--demoProfileLdap---aep-enablement`. Take a note of it, you will need it in the next exercise.

![2-02-select-event-hubs-namespace.png](/files/Msa1IvcrSBYBw6rhCQEQ)

Click on the Event Hubs Namespace name to get the details:

![2-03-select-event-hub.png](/files/POvbPQo7EFefyzDTUBsf)

Select **Event Hubs** to get a list of Event Hubs defined in your Event Hubs Namespace, if you followed the naming conventions used in the previous exercise you will find an Event Hub named `--demoProfileLdap---aep-enablement-event-hub`. Take a note of it, you will need it in the next exercise.

![2-04-event-hub-selected.png](/files/5gEcrTibeXDkxhHUK0G8)

### SAS Key Name

Select **Shared access policies** for your **Event Hubs Namespace**

![2-05-select-sas.png](/files/H8n31B6XQwiNr9lFkg4u)

You will see a list of Shared access policies. The SAS Key that we are looking for is **RootManageSharedAccessKey**. This is the SAS Key name. Write it down.

![2-06-sas-overview.png](/files/ybJB5bWMbMlYmaGYhdyu)

### SAS Key Value

Click on the **RootManageSharedAccessKey** to get the SAS Key Value. And press the **Copy to clipboard** icon to copy the **Primary key**:

![2-07-sas-key-value.png](/files/9ZDbaNsjCYbSReUXNfC6)

### Destination Values Summary

At this point you should have identified all the values needed to define the Azure Event Hub destination in Adobe Experience Platform Real-time CDP.

| Destination Attribute Name | Destination Attribute Value | Example Value                                  |
| -------------------------- | --------------------------- | ---------------------------------------------- |
| sasKeyName                 | SAS Key Name                | RootManageSharedAccessKey                      |
| sasKey                     | SAS Key Value               | srREx9ShJG1Rv7f/...                            |
| namespace                  | Event Hubs Namespace        | `--demoProfileLdap---aep-enablement`           |
| eventHubName               | Event Hub                   | `--demoProfileLdap---aep-enablement-event-hub` |

## 13.2.2 Create Azure Event Hub Destination in Adobe Experience Platform

Log in to Adobe Experience Platform by going to this URL: <https://experience.adobe.com/platform>.

After logging in, you'll land on the homepage of Adobe Experience Platform.

![Data Ingestion](/files/dxiZqiEO4HRecOrK4vsh)

Before you continue, you need to select a **sandbox**. The sandbox to select is named `--aepSandboxId--`. You can do this by clicking the text **\[Production Prod]** in the blue line on top of your screen. After selecting the appropriate sandbox, you'll see the screen change and now you're in your dedicated sandbox.

![Data Ingestion](/files/5cqkQVhdDVVUkS5PGQCI)

Go to **Destinations**, then go to **Catalog**.

![Data Ingestion](/files/eeNuVNQeYUWk7Rkdp55G)

Select **Cloud Storage** and go to **Azure Event Hubs** and click **Set up** or **Configure**:

![2-08-list-destinations.png](/files/DlXNGKmxHoklXTUpanEf)

Fill in the destination values that you have collected in the previous exercise. Next, click **Connect to Destination**.

![2-09-destination-values.png](/files/ZuW0mCcQyqL5ctFlVKEC)

If your credentials were correct, you'll see a confirmation: **Connected**.

![2-09-destination-values.png](/files/pQX4TrOhABPHlV2hTHd9)

You now need to enter the name and description in the format `--demoProfileLdap---aep-enablement`. Enter the **eventHubName** (see previous exercise, it looks like this: `--demoProfileLdap---aep-enablement-event-hub`) and click **Next**.

![2-10-create-destination.png](/files/5GlgzNOWUkWxK2E6dZTp)

Click **Save & exit**.

![2-11-save-exit-activation.png](/files/OcniMJkp2TyxlpPiWImb)

Your destination is now created and available in Adobe Experience Platform.

![2-12-destination-created.png](/files/L4SjcamFfZG1YEHdYmTo)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adobesandbox.com/comprehensive-technical-tutorial-archive/module13/ex2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
